use std::path::PathBuf;

use clap::{arg, Parser, ValueHint};

use crate::heatmap::HeatmapColors;

#[derive(Clone, Debug, Parser, PartialEq, Eq)]
#[command(version, about, long_about = None)]
pub struct CliArgs {
	#[arg(default_value=".", value_hint = ValueHint::DirPath)]
	pub input: PathBuf,

	#[arg(short, long)]
	pub author: String,

	#[arg(short, long, default_value = "▩")]
	pub char: char,

	#[arg(long("color"), value_enum, default_value_t = HeatmapColors::Green)]
	pub color_scheme: HeatmapColors,
	// #[arg(short, long, default_value = "24")]
	// pub split: u32,
}
